ChangeSet 1.1337.38.7, 2003/10/23 17:22:54-07:00, car.busse@gmx.de

[PATCH] USB: one more digicam for unusual_devs.h

its for the Jenoptik JD 5200 z3 Digicam, to enable it to work as a simple
storage device

more or less i took the values for the 0x0d96 vendor in the 2.6.0-test7
usb-storage and mixed them with my device id, which seems to work quite well

tested with 2.4.22 kernel


 drivers/usb/storage/unusual_devs.h |   10 ++++++++++
 1 files changed, 10 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Thu Oct 23 23:04:13 2003
+++ b/drivers/usb/storage/unusual_devs.h	Thu Oct 23 23:04:13 2003
@@ -631,6 +631,16 @@
 		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_FIX_INQUIRY),
 
+/*
+ * Entry for Jenoptik JD 5200z3
+ *
+ * email: car.busse@gmx.de
+ */
+UNUSUAL_DEV(  0x0d96, 0x5200, 0x0001, 0x0200,
+		"Jenoptik",
+		"JD 5200 z3",
+		US_SC_DEVICE, US_PR_DEVICE, NULL, US_FL_FIX_INQUIRY),
+		
 /* Reported by Kevin Cernekee <kpc-usbdev@gelato.uiuc.edu>
  * Tested on hardware version 1.10.
  * Entry is needed only for the initializer function override.
